Subject: Offline Message from Zahra Almaraj: My order #600812703 From 2 months ago and
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 20 Jun 2020 09:09:39 -0000

From: Zahra Almaraj <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/ordertrack/order_id/SkZlUkhTdFVSRFdhb1MxdjVhOTl2WHpCQ0lNSGJpTExxc0NJci9hMnp3OD0=/
Department: 

My order #600812703
From 2 months ago and still processing 
When are you going to ship it??
And why you write in your website that it will take 5-7 days for shipping to Saudi Arabia 

I think this is the last time for me to buy from this website and I will not recommend for any one 

Bad experience !!!
 Eathier ship to me now or cancel it 

I am sure if i order it from another website that i will have it now 

----
Zopim
https://www.zopim.com